Subject: Re: bug#58165: [Patch] [GNU ELPA] rcirc-color: Allow recoloring nicks
From: Philip Kaludercic <[email-masked]>
To: Thuna <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Sep 2022 11:24:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Thuna <[email-masked]> writes:

>> While at it one could replace the `foreground-color', since (elisp)
>> Special Properties says:
>>
>>         • A cons cell of the form ‘(foreground-color . COLOR-NAME)’ or
>>           ‘(background-color . COLOR-NAME)’.  This specifies the
>>           foreground or background color, similar to ‘(:foreground
>>           COLOR-NAME)’ or ‘(:background COLOR-NAME)’.  This form is
>>           supported for backward compatibility only, and should be
>>           avoided.
>
> I avoided it on the off chance something would break, but I don't mind
> either way.

I think I can do this.

>> Also, it would be nice to also reformat the code using a let* block.
>> Something like
>>
>>         (let* ((index (random (length rcirc-colors)))
>>                (color (elt rcirc-colors index))
>>                (face (cons 'foreground-color color)))
>>           (puthash nick face rcirc-color-mapping))
>
> Seems ok to me.

I'll pull your patch and make this change in a subsequent commit.

So thank you for the patch.